runc-update (8"")

NAME

runc-update - update running container resource constraints

SYNOPSIS

runc update [option ...] container-id

runc update -r resources.json|- container-id

DESCRIPTION

The update command change the resource constraints of a running container instance.

The resources can be set using options, or, if -r is used, parsed from JSON provided as a file or from stdin.

In case -r is used, the JSON format is like this:

    {
        "memory": {
            "limit": 0,
                "reservation": 0,
                "swap": 0,
                "kernel": 0,
                "kernelTCP": 0
        },
            "cpu": {
                "shares": 0,
                "quota": 0,
                "period": 0,
                "realtimeRuntime": 0,
                "realtimePeriod": 0,
                "cpus": "",
                "mems": ""
            },
            "blockIO": {
                "blkioWeight": 0
            }
    }

OPTIONS

--resources|-r resources.json : Read the new resource limtis from resources.json. Use - to read from stdin. If this option is used, all other options are ignored.

--blkio-weight weight : Set a new io weight.

--cpu-period num : Set CPU CFS period to be used for hardcapping (in microseconds)

--cpu-quota num : Set CPU usage limit within a given period (in microseconds).

--cpu-rt-period num : Set CPU realtime period to be used for hardcapping (in microseconds).

--cpu-rt-runtime num : Set CPU realtime hardcap limit (in usecs). Allowed cpu time in a given period.

--cpu-share num : Set CPU shares (relative weight vs. other containers).

--cpuset-cpus list : Set CPU(s) to use. The list can contain commas and ranges. For example: 0-3,7.

--cpuset-mems list : Set memory node(s) to use. The list format is the same as for --cpuset-cpus.

--memory num : Set memory limit to num bytes.

--memory-reservation num : Set memory reservation, or soft limit, to num bytes.

--memory-swap num : Set total memory + swap usage to num bytes. Use -1 to unset the limit (i.e. use unlimited swap).

--pids-limit num : Set the maximum number of processes allowed in the container.

--l3-cache-schema value : Set the value for Intel RDT/CAT L3 cache schema.

--mem-bw-schema value : Set the Intel RDT/MBA memory bandwidth schema.

SEE ALSO

runc(8).